/***
 * caseTest.java,v 1.1 1997/09/04 06:44:18 dfs Exp
 * Copyright 1997 ORO, Inc.  All rights reserved.
 ***/

import com.oroinc.text.regex.*;
import com.oroinc.text.awk.*;

public final class caseTest {

  public final static void main(String args[]) {
    Pattern pattern;
    AwkCompiler compiler;
    PatternMatcher matcher;
    MatchResult result;

    compiler = new AwkCompiler();
    matcher  = new AwkMatcher();

    try {
      pattern =
	compiler.compile("fooBAR", AwkCompiler.CASE_INSENSITIVE_MASK);
    } catch(MalformedPatternException e) {
      System.err.println("Bad pattern.");
      System.err.println(e.getMessage());
      return;
    }

    if(matcher.matches("fOObar", pattern))
      System.out.println("Case insensitivity works.");
    else
      System.out.println("Case insensitivity does not work.");

    if(matcher.contains("This sentence contains FooBAr, a very strange word",
			pattern)) {
      System.out.println("Case insensitivity works.");
      result = matcher.getMatch();
      System.out.println("Match: " + result);
    } else
      System.out.println("Case insensitivity does not work.");

  }
}
